var rainbowDashTests = require('./test');
var tape = require('tape');

rainbowDashTests.injectObjs({
    logger: function() {
        var args = Array.prototype.slice.call(arguments, 0);
        console.log('# ' + args.join(' '));
    },
    rainbowDash: require('../lib/rainbow-dash')
});

for(var test in rainbowDashTests) {
    if(test !== 'injectObjs' && rainbowDashTests.hasOwnProperty(test)) tape(test, rainbowDashTests[test]);
}